Bug 1477433 - Pool drop down on bug page unusable with large numbers of teams
Pool drop down on bug page unusable with large numbers of teams
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Extensions (Show other bugs)
5.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Jeff Fearn
Jeff Fearn
:
Depends On: 1323078
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 01:08 EDT by Jeff Fearn
Modified: 2018-04-18 06:14 EDT (History)
0 users

See Also:
Fixed In Version: 5.0.4-rh2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-18 06:14:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2017-08-02 01:08:19 EDT
Description of problem:
The pool drop down on the bug edit page shows every single backlog and active sprint, making it unusable when you have a lot of teams and sprints.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
A bit of work

Steps to Reproduce:
1. create dozens of teams, populate teams members, backlogs and sprints
2. visit a bug and click the pool drop down

Actual results:
The drop is enormous and confusing

Expected results:
It should be easier to use.

Additional info:
1: look at using team as an opt group to split up the backlogs and sprints
2: look at limiting to backlogs if no backlog set, and then only sprints for the current team once a backlog is set
3: will need to see how view/edit groups affects layout
Comment 1 Jeff Fearn 2017-08-02 01:21:39 EDT
4: Consider limiting the list to teams where the bug is covered by the teams un-prioritized search.
Comment 2 Jeff Fearn 2018-04-11 03:55:37 EDT
While the drop down is now usable and displays the pools separated by team, a default is being shown when the value is unset, giving the appearance it's in a pool when it isn't.
Comment 3 Jeff Fearn 2018-04-18 06:14:55 EDT
This bug has been resolved in Red Hat Bugzilla 5 and can be tested on https://beta-bugzilla.redhat.com

If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.